Subject: Re: ns/batch-fsync (Mon Apr 4, 2022)

From: Junio C Hamano <[email-masked]>
Date: Wed, 06 Apr 2022 08:02:39 -0700

<[email-masked]> writes:

> On April 5, 2022 12:36 AM, Neeraj Singh wrote:
>>On Mon, Apr 4, 2022 at 4:31 PM <[email-masked]> wrote:
>>> On April 4, 2022 7:20 PM, Neeraj Singh wrote:
>>> >On Mon, Apr 04, 2022 at 01:53:04PM -0700, Junio C Hamano wrote:
>>> >> * ns/batch-fsync (2022-03-30) 14 commits
>>> >>  - core.fsyncmethod: performance tests for batch mode
>>> >>  - t/perf: add iteration setup mechanism to perf-lib
>>> >>  - core.fsyncmethod: tests for batch mode
>>> >>  - test-lib-functions: add parsing helpers for ls-files and ls-tree
>>> >>  - core.fsync: use batch mode and sync loose objects by default on
>>> >> Windows
>>> >>  - unpack-objects: use the bulk-checkin infrastructure
>>> >>  - update-index: use the bulk-checkin infrastructure
>>> >>  - builtin/add: add ODB transaction around add_files_to_cache
>>> >>  - cache-tree: use ODB transaction around writing a tree
>>> >>  - core.fsyncmethod: batched disk flushes for loose-objects
>>> >>  - object-file: pass filename to fsync_or_die
>>> >>  - bulk-checkin: rebrand plug/unplug APIs as 'odb transactions'
>>> >>  - bulk-checkin: rename 'state' variable and separate 'plugged'
>>> >> boolean
>>> >>  - Merge branch 'ns/core-fsyncmethod' into ns/batch-fsync
>>> >>
>>> >>  Introduce a filesystem-dependent mechanism to optimize the way the
>>> >> bits for many loose object files are ensured to hit the disk  platter.
>>> >>
>>> >>  Will merge to 'next'?
>>> >>  source: <[email-masked]>
>>> >
>>> >Please expect a reroll today to address the remaining issues in that
>>> thread.
>>>
>>> Does this relate to why I cannot compile with the new fsync code at
>>> 2.36.0-rc0?
>>>
>>
>>I'm sorry I missed the error report.  Could you please share the compiler errors
>>you observed?
>
> Please see this thread: https://public-inbox.org/git/[email-masked]/

The sentence with the question mark wonders if we want to merge the
topic to 'next' (hinting that it is not even in 'next' yet right
now).  I do not think it affects anybody's build of -rc0.